Bug 988916 - NetworkManager is wrongly enabled
NetworkManager is wrongly enabled
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ovirt-node (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Deutsch
Fedora Extras Quality Assurance
node
:
Depends On:
Blocks: 988397
  Show dependency treegraph
 
Reported: 2013-07-26 13:16 EDT by Antoni Segura Puimedon
Modified: 2015-12-02 08:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:18:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17351 None None None Never

  None (edit)
Description Antoni Segura Puimedon 2013-07-26 13:16:23 EDT
Description of problem:
ovirt-node makes no use whatsoever of NetworkManager. Currently vdsm networking experiences issues when NM is running. Thus, it is advisable that it would be disabled on the node image.

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.0.0-5.0.5.vdsm.fc19.iso

How reproducible:


Steps to Reproduce:
1.Install ovirt-node
2.drop to shell using F2
3.systemctl status NetworkManager

Actual results:
loaded(active)

Expected results:
inactive(dead)

Additional info:
Comment 1 Mike Burns 2013-07-26 13:28:23 EDT
fixing in ovirt-node-plugin-vdsm instead of core ovirt-node
Comment 2 Dan Kenigsberg 2013-07-26 14:30:42 EDT
Why are we limiting ourselves to F19? I would prefer to block NetworkManager until vdsm plays nicely with it, be it F20 or F21.
Comment 3 Mike Burns 2013-07-26 14:49:52 EDT
my preference is to handle this long term in ovirt-node directly either by removing NetworkManager completely or ensuring that it's disabled by default.  

I'd also argue that vdsm could (should?) disable NetworkManager if it's a problem for vdsm...
Comment 4 Dan Kenigsberg 2013-07-27 15:59:53 EDT
(In reply to Mike Burns from comment #3)
> 
> I'd also argue that vdsm could (should?) disable NetworkManager if it's a
> problem for vdsm...

Our problem with this is that users may want to disable NetworkManager as long as they intend to play with host configuration via oVirt, but later re-enable NM.
Comment 5 Antoni Segura Puimedon 2013-07-29 05:02:27 EDT
We should consider changing the kickstart file for ovirt-node to have -NetworkManager, no reason to ship it with the node.
Comment 6 Mike Burns 2013-08-14 10:11:52 EDT
(In reply to Dan Kenigsberg from comment #4)
> (In reply to Mike Burns from comment #3)
> > 
> > I'd also argue that vdsm could (should?) disable NetworkManager if it's a
> > problem for vdsm...
> 
> Our problem with this is that users may want to disable NetworkManager as
> long as they intend to play with host configuration via oVirt, but later
> re-enable NM.

Not supported on ovirt-node (you can't enable/disable services like that)


(In reply to Antoni Segura Puimedon from comment #5)
> We should consider changing the kickstart file for ovirt-node to have
> -NetworkManager, no reason to ship it with the node.

We're looking at using NM apis for working with network config in the near future, so removing it long term is not an option, disabling is.
Comment 7 Fedora Admin XMLRPC Client 2013-10-09 11:55:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2015-01-09 17:39:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-18 06:18:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.